" Quit when a syntax file was already loaded.
if exists('b:current_syntax') | finish|  endif

syntax keyword simpleAssignment to set is of if else arg player stop
syn keyword skFunction function command description usage permission aliases trigger
syntax match skComment /#.*$/
syn region celString start='"' end='"' contained
syn region celDesc start='"' end='"'


"syn match skVariable /{[^}].*}*/
syn region skVariableTop start="{" end="}"
syn region skVariableCon start="{" end="}"
syn region skVariableAll matchgroup=skVariableAll start="{" end="}" contains=skVariableTop



hi def link simpleVar Identifier
hi def link simpleAssignment Statement
hi def link simpleValue String
hi def link skComment Comment
hi def link celString      Constant
hi def link celDesc        Constant
hi def link skFunction Function
hi def link skVariable Identifier
hi def link skVariableCon Identifier
hi def link skVariableAll Identifier
hi def link skVariableTop Statement

let b:current_syntax = 'skript'
